Page MenuHomePhabricator

Argument 2 passed to SearchEngine::processCompletionResults() must be an instance of SearchSuggestionSet, Elastica\Response in SearchEngine class
Closed, ResolvedPublic

Description

fatal error: Argument 2 passed to SearchEngine::processCompletionResults() must be an instance of SearchSuggestionSet, Elastica\Response given in /srv
/mediawiki/php-1.28.0-wmf.22/includes/search/SearchEngine.php on line 582

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptOct 24 2016, 3:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 317529 had a related patch set uploaded (by DCausse):
[completion] Properly fail if the response is not ok.

https://gerrit.wikimedia.org/r/317529

Change 317529 merged by jenkins-bot:
[completion] Properly fail if the response is not ok.

https://gerrit.wikimedia.org/r/317529

Dereckson assigned this task to dcausse.Oct 24 2016, 7:40 PM
MaxSem moved this task from Needs triage to Search on the Discovery board.Oct 26 2016, 9:23 PM
Deskana closed this task as Resolved.Oct 28 2016, 4:24 AM
Deskana added a subscriber: Deskana.

Thanks for the rapid fix, @dcausse!

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:11 PM